Bug 19687

Summary: не слинкован ни с чем
Product: [Development] Sisyphus Reporter: Timur Batyrshin <erthad@altlinux.org>
Component: libbse-drivers-alsaAssignee: Nobody's working on this, feel free to take it <nobody@altlinux.org>
Status: CLOSED FIXED QA Contact: qa-sisyphus@altlinux.org
Severity: major    
Priority: P3    
Version: unstable   
Hardware: all   
OS: Linux   

Description From 2009-04-20 03:44:29
Библиотеки в пакете неверно слинкованы:

timur@localhost cache/apt/archives $ readelf -d /usr/lib/bse/v0.7.2/drivers/* |
grep NEEDED
 0x00000001 (NEEDED)                     Shared library: [libc.so.6]
 0x00000001 (NEEDED)                     Shared library: [libc.so.6]



Из-за этого beast падает при попытке воспроизвести звук со следующей ошибкой:

BSE-ERROR **: failed to reinitialize plugin
"/usr/lib/bse/v0.7.2/drivers/bsepcmdevice-alsa.so":
/usr/lib/bse/v0.7.2/drivers/bsepcmdevice-alsa.so: undefined symbol:
snd_pcm_hw_params_set_channels
aborting...
------- Comment #1 From 2009-04-20 14:13:09 -------
beast-0.7.2-alt3.svn20090420 -> sisyphus:

* Mon Apr 20 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux>
0.7.2-alt3.svn20090420

- New trunk
- Added links into libbse-drivers-alsa (ALT #19687)